Subject: bug#28803: [PATCH] Fixed compiler warnings for advised functions.

From: Noam Postavsky <[email-masked]>
Date: Sun, 22 Oct 2017 09:04:01 -0400

John Williams <[email-masked]> writes:

> Hooray, my first official contribution to Emacs! Now I have code—not
> much, but some—in both Emacs and Vim, which I have to think is pretty
> rare.

Congrats :)

> BTW, is posting to this list really the best way to send patches? At
> my job, all changes go through a code review tool similar to Gerrit,
> with code uploaded using a command analogous to "git push", so
> sending a patch as an email attachment feels clumsy and
> anachronistic.

For now at least yes.  There has been some grumbling from others about
the "anachronistic" methods, but nothing much has come of it as of yet.

I have some commands in my init file for smoothing the process of
sending and receiving patches between the bug list and my git repo, but
they're dependent of magit, and I'm still working out the kinks.